esphome:
  name: "cam-tt-screen"
  platform: ESP32
  board: esp32cam

# cam-th-screen/debug [C][wifi:362]:   Local MAC: 54:43:B2:AB:C6:20

wifi:
  ssid: !secret wifi_ssid
  password: !secret wifi_password

mqtt:
  broker: '10.2.0.1'
  port: 1883
  username: ''
  password: ''

  on_message:
    - topic: cam/th-screen/projector_power
      payload: "send"
      then:
        - remote_transmitter.transmit_nec:
            address: 0x0F04
            command: 0x52AD

logger:
  baud_rate: 115200
  level: INFO
  
ota:

sensor:
- platform: wifi_signal
  name: "wifi_signal"
  update_interval: 60s

remote_transmitter:
  id: ir_out
  # 100R to ir led
  pin: GPIO12
  carrier_duty_percent: 50%

light:
  - platform: monochromatic
    name: "flash"
    output: flash_out
    default_transition_length: 0s

output:
  - platform: ledc
    id: flash_out
    pin: GPIO4
    frequency: 19531Hz
    channel: 4

esp32_camera:
  external_clock:
    pin: GPIO0
    frequency: 20MHz
  i2c_pins:
    sda: GPIO26
    scl: GPIO27
  data_pins: [GPIO5, GPIO18, GPIO19, GPIO21, GPIO36, GPIO39, GPIO34, GPIO35]
  vsync_pin: GPIO25
  href_pin: GPIO23
  pixel_clock_pin: GPIO22
  power_down_pin: GPIO32
  name: "cam-tt-screen"
  jpeg_quality: 10
  vertical_flip: true
  horizontal_mirror: true
  # 320x240 640x480 800x600 1024x768 1280x1024 1600x1200
  resolution: "800x600"

esp32_camera_web_server:
  - port: 8080
    mode: stream
  - port: 8081
    mode: snapshot



